Package org.mozilla.javascript

## Class ScriptRuntimeES6

- java.lang.Object
- - org.mozilla.javascript.ScriptRuntimeES6

-     public class ScriptRuntimeES6
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScriptRuntimeES6()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addSymbolSpecies​(Context cx, Scriptable scope, IdScriptableObject constructor)` | Registers the symbol `[Symbol.species]` on the given constructor function.
    `static java.lang.Object` | `requireObjectCoercible​(Context cx, java.lang.Object val, IdFunctionObject idFuncObj)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptRuntimeES6

          public ScriptRuntimeES6()

  - ### Method Detail

    - #### requireObjectCoercible

          public static java.lang.Object requireObjectCoercible​(Context cx,
                                                                java.lang.Object val,
                                                                IdFunctionObject idFuncObj)

    - #### addSymbolSpecies

          public static void addSymbolSpecies​(Context cx,
                                              Scriptable scope,
                                              IdScriptableObject constructor)

      Registers the symbol `[Symbol.species]` on the given constructor function.